import utils;
import hashlib;
import os;
import urlparse;
import subprocess;
import sys;

from package import Config;
from Path import Path;

import packages.net.wget
import packages.devel.libtool
import packages.devel.xmlparserperl
import packages.devel.expat
import packages.devel.perl
import packages.apps.beast
from packages.libs import *
import packages.devel.guile
import packages.devel.ccache
import packages.apps.vorbistools
import packages.devel.scrollkeeper
import packages.mingw.binutils
import packages.mingw.gcccore
import packages.mingw.gccgxx
import packages.mingw.mingwrtdev
import packages.mingw.mingwrtdll
import packages.mingw.w32apidev
import packages.mingw.msyscore
import packages.mingw.cvs
import packages.mingw.msyscrypt
import packages.mingw.vim
import packages.mingw.ssh
import packages.devel.slashx

#######
# need generic environment builder
# for now, set things manually
config = Config()
old_path = os.environ['Path']
new_path = (config.PREFIX.join (Path ("bin")).win32() + ";"
         +  config.PREFIX.join (Path ("msys/bin")).win32() + ";"
         +  config.PREFIX.join (Path ("mingw/bin")).win32() + ";"
         +  old_path)
os.environ['Path'] = new_path
packages = (packages.mingw.binutils.packages()
         +  packages.mingw.gcccore.packages()
         +  packages.mingw.gccgxx.packages()
         +  packages.mingw.mingwrtdev.packages()
         +  packages.mingw.mingwrtdll.packages()
         +  packages.mingw.w32apidev.packages()
         +  packages.mingw.msyscore.packages()
         +  packages.mingw.msyscrypt.packages()
         +  packages.mingw.cvs.packages()
         +  packages.mingw.vim.packages()
	 +  packages.mingw.ssh.packages()
         +  packages.devel.slashx.packages()
         +  packages.devel.ccache.packages()
         +  packages.libs.portaudio.packages()
         +  packages.apps.beast.packages()
         +  packages.libs.bseportaudio.packages())

def perform_operation (package, operation, function):
  stamp_file_name = config.BEASTBUILD.join (Path ("stamps/" + package.full_name() + "_" + operation)).win32()
  try:
    open (stamp_file_name, "r")
    skip = True
  except IOError:
    skip = False
  if skip:
    print "***** " + operation + " complete already."
  else:
    print "***** " + operation + ":"
    function()
    sys.stdout.flush()
    done_file = open (stamp_file_name, "w")
    done_file.write (operation + " stamp")
    done_file.close()
  
for package in packages:
  print "***** " + package.full_name()
  perform_operation (package, "download", package.download)
  perform_operation (package, "extract", package.extract)
  perform_operation (package, "patch", package.patch)
  perform_operation (package, "compile", package.compile)
  perform_operation (package, "install", package.install)
  package.setup_env()

# vim:set sw=2 sts=2:
