from buildutils import download_and_check, make, configure;
from package import Package;

import utils;

class AutoConf(Package):
  def full_name (self):
    return "autoconf-2.63"

  def download (self):
    download_and_check ("ftp://ftp.cs.tu-berlin.de/pub/gnu/autoconf/autoconf-2.63.tar.bz2", "7565809ed801bb5726da0631ceab3699")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "autoconf-2.63.tar.bz2", self.config.SRC_DIR)

  def patch (self):
    print "patch"

  def compile (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.unix(),
                       "PERL=/usr/bin/perl" ], "autoconf-2.63")
    make ([ "make" ], "autoconf-2.63")

  def install (self):
    make ([ "make", "install" ], "autoconf-2.63")

import packages.mingw.msysperl

deps = packages.mingw.msysperl.packages()

def packages():
  return deps + [ AutoConf() ]
