from buildutils import download_and_check, make, configure;
from package import Package;

import utils;

class AutoMake (Package):
  def full_name (self):
    return "automake-1.10.2";

  def download (self):
    download_and_check ("ftp://ftp.cs.tu-berlin.de/pub/gnu/automake/automake-1.10.2.tar.bz2", "1498208ab1c8393dcbd9afb7d06df6d5")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "automake-1.10.2.tar.bz2", self.config.SRC_DIR)

  def patch (self):
    print "patch"

  def compile (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.msys(),
                 "PERL=/usr/bin/perl" ], "automake-1.10.2")
    make ([ "make" ], "automake-1.10.2")

  def install (self):
    make ([ "make", "install" ], "automake-1.10.2")

import packages.devel.autoconf

deps = packages.devel.autoconf.packages()

def packages():
  return deps + [ AutoMake() ]
