from buildutils import download_and_check, make, configure;
from package import Package;

import utils;

class AutoMake1_9 (Package):
  def full_name (self):
    return "automake-1.9";

  def download (self):
    download_and_check ("ftp://ftp.cs.tu-berlin.de/pub/gnu/automake/automake-1.9.tar.bz2", "c0b6434087e3be0606ef9d172238f26c")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "automake-1.9.tar.bz2", self.config.SRC_DIR)

  def patch (self):
    print "patch"

  def compile (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.msys(),
                 "PERL=/usr/bin/perl" ], "automake-1.9")
    make ([ "make" ], "automake-1.9")

  def install (self):
    make ([ "make", "install" ], "automake-1.9")


import packages.devel.perl;
import packages.devel.autoconf;

deps = (packages.devel.perl.packages()
     +  packages.devel.autoconf.packages())

def packages():
  return deps + [ AutoMake1_9() ]
