from buildutils import download_and_check, make, configure, apply_patch
from package import Package
from Path import Path

import utils;

class BuildDocbookCatalog (Package):
  def full_name (self):
    return "build-docbook-catalog-1.4"

  def download (self):
    download_and_check ("http://de-mirror.org/distro/gentoo/distfiles/build-docbook-catalog-1.4.bz2", "8eefee7655125517f7763ab4265e1285")
    
  def extract (self):
    dl = self.config.DOWNLOAD.join (Path ("build-docbook-catalog-1.4.bz2"))
    src = self.config.SRC_DIR.join (Path ("build-docbook-catalog-1.4"))
    make ([ "mkdir", "-p", src.unix() ], ".")
    make ([ "cp", dl.unix(), src.unix() ], ".")
    make ([ "bzip2", "-d", src.join (Path ("build-docbook-catalog-1.4.bz2")).unix() ], ".")

  def patch (self):
    apply_patch ("build-docbook-catalog.diff", "build-docbook-catalog-1.4", 2)
    apply_patch ("build-docbook-catalog-2.diff", "build-docbook-catalog-1.4", 0)
    apply_patch ("build-docbook-catalog-3.diff", "build-docbook-catalog-1.4", 0)

  def compile (self):
    pass

  def install (self):
    src = self.config.SRC_DIR.join (Path ("build-docbook-catalog-1.4/build-docbook-catalog-1.4"))
    dest = self.config.PREFIX.join (Path ("bin/build-docbook-catalog"))
    make ([ "cp", src.unix(), dest.unix() ], ".")

import grep

deps = grep.packages()

def packages():
  return deps + [ BuildDocbookCatalog() ]
