from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;
from Path import Path

import utils;
import os;

class CCache (Package):
  def full_name (self):
    return "ccache-win32-20090430";

  def download (self):
    download_and_check ("http://space.twc.de/~stefan/download/ccache-win32-20090430.tar.bz2",
                        "63fa851fd78e0ed1504c462c590637b7")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "ccache-win32-20090430.tar.bz2", self.config.SRC_DIR)

  def patch (self):
    apply_patch ("ccache-win32-20090430.diff", "ccache-win32-20090430", 1)
    apply_patch ("ccache-win32-xmemfuncs.diff", "ccache-win32-20090430", 1)

  def compile (self):
    make ([ "make" ], "ccache-win32-20090430")

  def install (self):
    bindir = self.config.PREFIX.join (Path ("bin")).unix()
    make (["mkdir", "-p", bindir ], "ccache-win32-20090430")
    make (["cp", "ccache.exe",  bindir ], "ccache-win32-20090430")
    #make ([ "make", "DESTDIR=" + self.config.PREFIX.unix(), "install" ], "ccache-win32-20090430")

  def setup_env (self):
    os.environ["CC"] = "ccache gcc"
    os.environ["CXX"] = "ccache g++"
    os.environ["CCACHE_LOGFILE"] = self.config.SRC_DIR.join (Path ("ccache.log")).unix()

def packages():
  return [ CCache() ]
