from buildutils import download_and_check, make, configure
from package import Package
from Path import Path

import utils;

class DocBookDTD (Package):
  def full_name (self):
    return "docbook-xml-4.3";

  def download (self):
    download_and_check ("http://www.docbook.org/xml/4.3/docbook-xml-4.3.zip",
                        "ab200202b9e136a144db1e0864c45074")

  def extract (self):
    path = self.config.SRC_DIR.join (Path ("docbook-xml-4.3"))
    make ([ "mkdir", "-p", path.unix() ], ".")
    utils.unpackFile (self.config.DOWNLOAD, "docbook-xml-4.3.zip", path)

  def patch (self):
    print "patch"

  def compile (self):
    pass

  def install (self):
    dest_dir = "/usr/share/sgml/docbook/xml-dtd-4.3"
    make ([ "mkdir", "-p", dest_dir ], ".")
    make ([ "cp", "-rav", "docbook.cat", "*.dtd", "*.mod" , "ent", dest_dir ], "docbook-xml-4.3")
    make ([ "sh", "build-docbook-catalog" ], ".")

import packages.devel.builddocbookcatalog

deps = packages.devel.builddocbookcatalog.packages()

def packages():
  return deps + [ DocBookDTD() ]
