from buildutils import download_and_check, make, configure
from package import Package
from Path import Path

import utils;

class DocBookXslStylesheets (Package):
  def full_name (self):
    return "docbook-xsl-stylesheets-1.74.3";

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/docbook/docbook-xsl-1.74.3.tar.bz2",
                        "c77c0c317040b2f2e366842bd9df2218")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "docbook-xsl-1.74.3.tar.bz2", self.config.SRC_DIR)

  def patch (self):
    print "patch"

  def compile (self):
    pass

  def install (self):
    dest_dir = "/usr/share/sgml/docbook/xsl-stylesheets"
    make ([ "mkdir", "-p", dest_dir ], ".")
    make ([ "cp", "-rav", ".", dest_dir ], "docbook-xsl-1.74.3")
    make ([ "sh", "build-docbook-catalog" ], ".")


import packages.devel.builddocbookcatalog

deps = packages.devel.builddocbookcatalog.packages()

def packages():
  return deps + [ DocBookXslStylesheets() ]
