from buildutils import download_and_check, make, configure, apply_patch
from package import Package
from Path import Path

import utils;

class Grep (Package):
  def full_name (self):
    return "grep-2.5.4";

  def download (self):
    download_and_check ("ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/ftp.gnu.org/grep/grep-2.5.4.tar.bz2",
                        "5650ee2ae6ea4b39e9459d7d0585b315")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "grep-2.5.4.tar.bz2", self.config.SRC_DIR)

  def patch (self):
    apply_patch ("grep-2.5.4.diff", "grep-2.5.4", 1)

  def compile (self):
    configure ([ "sh", "configure", "--prefix", self.config.PREFIX.unix() ], "grep-2.5.4")
    make ([ "make" ], "grep-2.5.4")

  def install (self):
    make ([ "make", "install" ], "grep-2.5.4")


def packages():
  return [ Grep() ]
