from package import Package
import utils, os
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class Guile(Package):
  def full_name (self):
    return "guile-1.8.6"

  def download (self):
    download_and_check ("ftp://ftp.gnu.org/gnu/guile/guile-1.8.6.tar.gz", "9e23d3dbea0e89bab8a9acc6880150de")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "guile-1.8.6.tar.gz", self.config.SRC_DIR)

  def patch (self):
    apply_patch ("guile-1.8.6.diff", "guile-1.8.6", 1)

  def compile (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.unix(),
                 "LDFLAGS=-L" + self.config.PREFIX.join (Path ("lib")).unix(),
                 "CFLAGS=-I" + self.config.PREFIX.join (Path ("include")).unix() ], "guile-1.8.6")
    make ([ "make" ], "guile-1.8.6")

  def install (self):
    make ([ "make", "install" ], "guile-1.8.6")

  def setup_env (self):
    os.environ["GUILE_LOAD_PATH"]=self.config.PREFIX.join (Path("share/guile/1.8")).win32()

import packages.libs.gmp;

deps = []
deps += packages.libs.gmp.packages()

def packages():
  return deps + [ Guile() ]
