from buildutils import download_and_check, make, configure
from package import Package, config
from Path import Path
import utils

class SlashX(Package):
  def full_name (self):
    return "slashx-0.1"

  def download (self):
    pass

  def extract (self):
    src_dir = config.SRC_DIR.join (Path ("slashx-0.1")).unix()
    make (["mkdir", "-p", src_dir], ".")
    make (["cp", "-av", config.BEASTBUILD.join (Path ("slashx/*")).unix(), src_dir], ".")

  def patch (self):
    pass

  def compile (self):
    make ([ "make" ], "slashx-0.1")

  def install (self):
    bindir = self.config.PREFIX.join (Path ("bin")).unix()
    make (["mkdir", "-p", bindir ], "slashx-0.1")
    make (["cp", "slashx.exe",  bindir ], "slashx-0.1")
    make (["cp", "stripm.exe",  bindir ], "slashx-0.1")

def packages():
  return [ SlashX() ]
