from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class BsePortAudio (Package):
  def full_name (self):
    return "bse-portaudio-20090519"

  def download (self):
    download_and_check ("http://space.twc.de/~stefan/download/bse-portaudio-20090519.tar.bz2",
                        "6bc382fa0961cf0bc11085e3e5c7b13a")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "bse-portaudio-20090519.tar.bz2", self.config.SRC_DIR)

  def patch (self):
    apply_patch ("bse-portaudio-20090519.diff", "bse-portaudio-20090519", 0)

  def compile (self):
    configure ([ "sh", "autogen.sh", "--prefix=" + self.config.PREFIX.unix() ],
                 "bse-portaudio-20090519")
    make ([ "make" ], "bse-portaudio-20090519")

  def install (self):
    make ([ "make", "install" ], "bse-portaudio-20090519")


import packages.apps.beast

deps = packages.apps.beast.packages()

def packages():
  return deps + [ BsePortAudio() ]
