from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibFontConfig (Package):
  def full_name (self):
    return "fontconfig-2.6.0"

  def download (self):
    download_and_check ("http://fontconfig.org/release/fontconfig-2.6.0.tar.gz",
                        "ab54ec1d4ddd836313fdbc0cd5299d6d")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "fontconfig-2.6.0.tar.gz", self.config.SRC_DIR)

  def patch (self):
    apply_patch ("fontconfig-2.6.0.diff", "fontconfig-2.6.0", 1)

  def compile (self):
    configure ([ "sh", "autoconf" ], "fontconfig-2.6.0")
    configure ([ "sh", "aclocal" ], "fontconfig-2.6.0")
    configure ([ "sh", "automake" ], "fontconfig-2.6.0")
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.unix() ], "fontconfig-2.6.0")
    make ([ "make" ], "fontconfig-2.6.0")

  def install (self):
    make ([ "make", "install" ], "fontconfig-2.6.0")

import packages.devel.libtool

deps = packages.devel.libtool.packages()

def packages():
  return deps + [ LibFontConfig() ]
