from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibArt (Package):
  def full_name (self):
    return "libart-2.3.20"

  def download (self):
    download_and_check ("http://ftp.gnome.org/pub/GNOME/sources/libart_lgpl/2.3/libart_lgpl-2.3.20.tar.bz2",
                        "d0ce67f2ebcef1e51a83136c69242a73")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "libart_lgpl-2.3.20.tar.bz2", self.config.SRC_DIR)

  def patch (self):
    pass

  def compile (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.unix() ], "libart_lgpl-2.3.20")
    make ([ "make" ], "libart_lgpl-2.3.20")

  def install (self):
    make ([ "make", "install" ], "libart_lgpl-2.3.20")

def packages():
  return [ LibArt() ]
