from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibGlade (Package):
  def full_name (self):
    return "libglade-2.6.4"

  def download (self):
    download_and_check ("http://ftp.gnome.org/pub/GNOME/sources/libglade/2.6/libglade-2.6.4.tar.bz2",
                        "d1776b40f4e166b5e9c107f1c8fe4139")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "libglade-2.6.4.tar.bz2", self.config.SRC_DIR)

  def patch (self):
    pass

  def compile (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.unix() ], "libglade-2.6.4")
    make ([ "make" ], "libglade-2.6.4")

  def install (self):
    make ([ "make", "install" ], "libglade-2.6.4")

import packages.libs.libxml2
import packages.libs.gtkbundle

deps  = (packages.libs.libxml2.packages()
      +  packages.libs.gtkbundle.packages())

def packages():
  return deps + [ LibGlade() ]
