from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibGnomeCanvas (Package):
  def full_name (self):
    return "libgnomecanvas-2.26.0"

  def download (self):
    download_and_check ("http://ftp.acc.umu.se/pub/gnome/sources/libgnomecanvas/2.26/libgnomecanvas-2.26.0.tar.bz2", "9bbc635e5ae70e63af071af74ba7e72f")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "libgnomecanvas-2.26.0.tar.bz2", self.config.SRC_DIR)

  def patch (self):
    pass

  def compile (self):
    #configure ([ "sh", "autoconf" ], "libgnomecanvas-2.26.0")
    #configure ([ "sh", "aclocal" ], "libgnomecanvas-2.26.0")
    #configure ([ "sh", "automake" ], "libgnomecanvas-2.26.0")
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.unix() ], "libgnomecanvas-2.26.0")
    make ([ "make" ], "libgnomecanvas-2.26.0")

  def install (self):
    make ([ "make", "install" ], "libgnomecanvas-2.26.0")

import packages.devel.intltool
import packages.libs.libart
import packages.libs.libglade
import packages.devel.gtkdoc
import packages.libs.libfreetype
import packages.libs.fontconfig

deps = (packages.devel.intltool.packages()
     +  packages.libs.libart.packages()
     +  packages.libs.libglade.packages()
     +  packages.devel.gtkdoc.packages()
     +  packages.libs.libfreetype.packages()
     +  packages.libs.fontconfig.packages())

def packages():
  return deps + [ LibGnomeCanvas() ]
