from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibIConv (Package):
  def full_name (self):
    return "libiconv-1.13"

  def download (self):
    download_and_check ("http://ftp.gnu.org/pub/gnu/libiconv/libiconv-1.13.tar.gz", "048032a3032ebd182150bdee30a5d533")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "libiconv-1.13.tar.gz", self.config.SRC_DIR)

  def patch (self):
    apply_patch ("libiconv-1.13.diff", "libiconv-1.13", 1)
    configure ([ "sh", "autoconf" ], "libiconv-1.13")
    configure ([ "sh", "aclocal" ], "libiconv-1.13")

  def compile (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.unix() ], "libiconv-1.13")
    make ([ "make" ], "libiconv-1.13")

  def install (self):
    make ([ "make", "install" ], "libiconv-1.13")

import packages.devel.automake
import packages.devel.autoconf

deps = (packages.devel.automake.packages()
     +  packages.devel.autoconf.packages())

def packages():
  return deps + [ LibIConv() ]
