from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibXslt (Package):
  def full_name (self):
    return "libxslt-1.1.24"

  def download (self):
    download_and_check ("ftp://xmlsoft.org/libxslt/libxslt-1.1.24.tar.gz",
                        "e83ec5d27fc4c10c6f612879bea9a153")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "libxslt-1.1.24.tar.gz", self.config.SRC_DIR)

  def patch (self):
    pass

  def compile (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.unix() ], "libxslt-1.1.24")
    make ([ "make" ], "libxslt-1.1.24")

  def install (self):
    make ([ "make", "install" ], "libxslt-1.1.24")


def packages():
  return [ LibXslt() ]
