from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class OpenSSL (Package):
  def full_name (self):
    return "openssl-0.9.8k"

  def download (self):
    download_and_check ("http://www.openssl.org/source/openssl-0.9.8k.tar.gz", "e555c6d58d276aec7fdc53363e338ab3")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "openssl-0.9.8k.tar.gz", self.config.SRC_DIR)

  def patch (self):
    apply_patch ("openssl-0.9.8k.diff", "openssl-0.9.8k", 1)

  def compile (self):
    configure ([ "sh", "config", "--prefix=" + self.config.PREFIX.unix() ], "openssl-0.9.8k")
    make ([ "make" ], "openssl-0.9.8k")

  def install (self):
    make ([ "make", "install" ], "openssl-0.9.8k")


def packages():
  return [ OpenSSL() ]
